import { default as FRCallback } from '.';
import { Callback } from '../../auth/interfaces';
/**
 * @class - Represents a callback used to complete and package up device and behavioral data.
 */
declare class PingOneProtectEvaluationCallback extends FRCallback {
    payload: Callback;
    /**
     * @param payload The raw payload returned by OpenAM
     */
    constructor(payload: Callback);
    /**
     * Gets the callback's pauseBehavioralData value.
     * @returns {boolean}
     */
    getPauseBehavioralData(): boolean;
    /**
     * @method setData - Set the result of data collection
     * @param {string} data - Data from calling pingProtect.get()
     * @returns {void}
     */
    setData(data: string): void;
    /**
     * @method setClientError - Set the client error message
     * @param {string} errorMessage - Error message
     * @returns {void}
     */
    setClientError(errorMessage: string): void;
}
export default PingOneProtectEvaluationCallback;
/**
  * Example of callback:
{
  "type": "PingOneProtectEvaluationCallback",
  "output": [
    {
      "name": "pauseBehavioralData",
      "value": true
    }
  ],
  "input": [
    {
      "name": "IDToken1signals",
      "value": ""
    },
    {
      "name": "IDToken1clientError",
      "value": ""
    }
  ]
}
*/
//# sourceMappingURL=ping-protect-evaluation-callback.d.ts.map