import { default as FRCallback } from '.';
import { Callback } from '../../auth/interfaces';
/**
 * @class - Represents a callback used to initialize and start device and behavioral data collection.
 */
declare class PingOneProtectInitializeCallback extends FRCallback {
    payload: Callback;
    /**
     * @param payload The raw payload returned by OpenAM
     */
    constructor(payload: Callback);
    /**
     * Get callback's initialization config settings
     */
    getConfig(): {
        envId: string;
        consoleLogEnabled: boolean;
        deviceAttributesToIgnore: string[];
        customHost: string;
        lazyMetadata: boolean;
        behavioralDataCollection: boolean;
        deviceKeyRsyncIntervals: number;
        enableTrust: boolean;
        disableTags: boolean;
        disableHub: boolean;
    };
    setClientError(errorMessage: string): void;
}
export default PingOneProtectInitializeCallback;
//# sourceMappingURL=ping-protect-initialize-callback.d.ts.map