import { default as FRCallback } from '.';
import { Callback } from '../../auth/interfaces';
/**
 * Represents a callback used to integrate reCAPTCHA.
 */
declare class ReCaptchaEnterpriseCallback extends FRCallback {
    payload: Callback;
    /**
     * @param payload The raw payload returned by OpenAM
     */
    constructor(payload: Callback);
    /**
     * Gets the reCAPTCHA site key.
     */
    getSiteKey(): string;
    /**
     * Get the api url
     */
    getApiUrl(): string;
    /**
     * Get the class name
     */
    getElementClass(): string;
    /**
     * Sets the reCAPTCHA result.
     */
    setResult(result: string): void;
    /**
     * Set client client error
     */
    setClientError(error: string): void;
    /**
     * Set the recaptcha payload
     */
    setPayload(payload: unknown): void;
    /**
     * Set the recaptcha action
     */
    setAction(action: string): void;
}
export default ReCaptchaEnterpriseCallback;
//# sourceMappingURL=recaptcha-enterprise-callback.d.ts.map