import { ConfigOptions } from '../config';
import { FRStepHandler, default as FRStep } from '../fr-auth/fr-step';
import { LogoutOptions } from '../oauth2-client/interfaces';
/**
 * High-level API for logging a user in/out and getting profile information.
 */
declare abstract class FRUser {
    /**
     * Logs the user in with the specified step handler, acquires OAuth tokens, and retrieves
     * user profile.  **Currently not implemented.**
     *
     * @typeparam T The type of user object expected
     * @param handler The function to invoke when handling authentication steps
     * @param options Configuration overrides
     */
    static login<T>(handler: FRStepHandler, options?: ConfigOptions): Promise<FRStep | T>;
    /**
     * Ends the user's session and revokes OAuth tokens.
     *
     * @param options Configuration overrides
     */
    static logout(options?: LogoutOptions): Promise<void>;
}
export default FRUser;
//# sourceMappingURL=index.d.ts.map