import { FRLogger as t } from "../util/logger.js";
import s from "../oauth2-client/index.js";
import f from "../session-manager/index.js";
import l from "../token-manager/index.js";
import m from "../config/index.js";
import g from "../token-storage/index.js";
import { getEndpointPath as u } from "../util/url.js";
class O {
  /**
   * Logs the user in with the specified step handler, acquires OAuth tokens, and retrieves
   * user profile.  **Currently not implemented.**
   *
   * @typeparam T The type of user object expected
   * @param handler The function to invoke when handling authentication steps
   * @param options Configuration overrides
   */
  static async login(e, r) {
    throw t.info(e, r), new Error("FRUser.login() not implemented");
  }
  /**
   * Ends the user's session and revokes OAuth tokens.
   *
   * @param options Configuration overrides
   */
  static async logout(e) {
    const r = { ...e };
    delete r.redirect;
    const { realmPath: n, serverConfig: a } = m.get(r);
    if (u("sessions", n, a.paths))
      try {
        await f.logout(r);
      } catch {
        t.warn("Session logout was not successful");
      }
    if (e?.redirect === !1)
      try {
        await s.endSession({ ...e });
      } catch {
        t.warn("OAuth endSession was not successful");
      }
    try {
      await s.revokeToken(r);
    } catch {
      t.warn("OAuth revokeToken was not successful");
    }
    const i = await g.get(), { idToken: c = "" } = i || {};
    if (await l.deleteTokens(), e?.redirect !== !1)
      try {
        await s.endSession({ ...e, idToken: c });
      } catch {
        t.warn("OAuth endSession was not successful");
      }
  }
}
export {
  O as default
};
