import { CustomPathConfig } from '../config/interfaces';
import { Advices, HttpClientRequestOptions, RequiresNewTokenFn, AuthorizationJSON } from './interfaces';
import { Tokens } from '../shared/interfaces';
export declare function addAuthzInfoToHeaders(init: RequestInit, advices: Advices, tokens?: Tokens | void): Headers;
export declare function addAuthzInfoToURL(url: string, advices: Advices, tokens?: Tokens | void): string;
export declare function buildAuthzOptions(authzObj: AuthorizationJSON, baseURL: string, timeout: number, realmPath?: string, customPaths?: CustomPathConfig): HttpClientRequestOptions;
export declare function examineForIGAuthz(res: Response): boolean;
export declare function examineForIGAuthzHeader(headers: Headers): boolean;
export declare function examineForRESTAuthz(res: Response): Promise<boolean>;
export declare function getAdvicesFromHeader(header: string): Advices;
export declare function hasAuthzAdvice(json: AuthorizationJSON): boolean;
export declare function isAuthzStep(res: Response): Promise<boolean>;
export declare function newTokenRequired(res: Response, requiresNewToken?: RequiresNewTokenFn): boolean;
export declare function normalizeIGRedirectResponseToAdviceJSON(res: Response): AuthorizationJSON;
export declare function normalizeIGJSONResponseToAdviceJSON(res: Response): AuthorizationJSON;
export declare function normalizeRESTJSON(res: Response): Promise<AuthorizationJSON>;
//# sourceMappingURL=helpers.d.ts.map